-- -----------------------------------------------------
-- Agency-Addon for OpenEstate-ImmoTool
-- uninstallation for HSQLDB
-- Copyright (C) 2009-2017 OpenEstate.org
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Procedures
-- -----------------------------------------------------
DROP FUNCTION IF EXISTS can_delete_immotool_agency_contacts CASCADE;
DROP FUNCTION IF EXISTS can_delete_immotool_agency_exports CASCADE;
DROP FUNCTION IF EXISTS can_delete_immotool_agency_exposes CASCADE;
DROP FUNCTION IF EXISTS can_delete_immotool_agency_objects CASCADE;
DROP FUNCTION IF EXISTS can_delete_immotool_agency_searches CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_agency_contacts CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_agency_exports CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_agency_exposes CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_agency_objects CASCADE;
DROP FUNCTION IF EXISTS can_read_immotool_agency_searches CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_agency_contacts CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_agency_exports CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_agency_exposes CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_agency_objects CASCADE;
DROP FUNCTION IF EXISTS can_write_immotool_agency_searches CASCADE;
DROP FUNCTION IF EXISTS get_openestate_objects_id CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exports CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exports_logs CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exports_logs_entries CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exports_publishings CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exports_settings CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exposes CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exposes_files CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_exposes_settings CASCADE;
DROP PROCEDURE IF EXISTS remove_immotool_agency_objects_exports CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_contacts CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_geodbs CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_geodbs_areas CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_geodbs_countries CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_languages CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_attribs CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_files CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_files_i18n CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_geodbs_areas CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_i18n CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_links CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_objects_links_i18n CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_searches CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_searches_attribs CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_searches_params CASCADE;
DROP PROCEDURE IF EXISTS remove_openestate_searches_values CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_contacts CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exports CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exports_logs CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exports_logs_entries CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exports_publishings CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exports_settings CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exposes CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exposes_files CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_exposes_settings CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_objects CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_objects_exports CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_objects_logs CASCADE;
DROP PROCEDURE IF EXISTS save_immotool_agency_searches CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_contacts CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_geodbs CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_geodbs_areas CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_geodbs_countries CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_languages CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_attribs CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_files CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_files_i18n CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_geodbs_areas CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_i18n CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_links CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_objects_links_i18n CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_searches CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_searches_attribs CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_searches_params CASCADE;
DROP PROCEDURE IF EXISTS save_openestate_searches_values CASCADE;
DROP PROCEDURE IF EXISTS set_immotool_agency_exports_enabled CASCADE;
DROP PROCEDURE IF EXISTS set_immotool_agency_objects_status CASCADE;
DROP PROCEDURE IF EXISTS set_openestate_languages_enabled CASCADE;
DROP PROCEDURE IF EXISTS set_openestate_objects_contact CASCADE;
DROP PROCEDURE IF EXISTS set_openestate_objects_files_content CASCADE;
DROP PROCEDURE IF EXISTS set_openestate_searches_enabled CASCADE;


-- -----------------------------------------------------
-- Views
-- -----------------------------------------------------
DROP VIEW IF EXISTS view_immotool_agency_exports CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exports_logs CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exports_logs_entries CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exports_publishings CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exports_settings CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exposes CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exposes_files CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exposes_files_content CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_exposes_settings CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_objects_exports CASCADE;
DROP VIEW IF EXISTS view_immotool_agency_objects_logs CASCADE;
DROP VIEW IF EXISTS view_openestate_contacts CASCADE;
DROP VIEW IF EXISTS view_openestate_geodbs CASCADE;
DROP VIEW IF EXISTS view_openestate_geodbs_areas CASCADE;
DROP VIEW IF EXISTS view_openestate_geodbs_countries CASCADE;
DROP VIEW IF EXISTS view_openestate_languages CASCADE;
DROP VIEW IF EXISTS view_openestate_objects CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_actions CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_attribs CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_files CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_files_content CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_files_i18n CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_files_preview CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_geodbs_areas CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_i18n CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_links CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_links_i18n CASCADE;
DROP VIEW IF EXISTS view_openestate_objects_types CASCADE;
DROP VIEW IF EXISTS view_openestate_searches CASCADE;
DROP VIEW IF EXISTS view_openestate_searches_attribs CASCADE;
DROP VIEW IF EXISTS view_openestate_searches_params CASCADE;
DROP VIEW IF EXISTS view_openestate_searches_values CASCADE;


-- -----------------------------------------------------
-- Tables
-- -----------------------------------------------------
DROP TABLE IF EXISTS immotool_agency_contacts CASCADE;
DROP TABLE IF EXISTS immotool_agency_exports CASCADE;
DROP TABLE IF EXISTS immotool_agency_exports_logs CASCADE;
DROP TABLE IF EXISTS immotool_agency_exports_logs_entries CASCADE;
DROP TABLE IF EXISTS immotool_agency_exports_publishings CASCADE;
DROP TABLE IF EXISTS immotool_agency_exports_settings CASCADE;
DROP TABLE IF EXISTS immotool_agency_exposes CASCADE;
DROP TABLE IF EXISTS immotool_agency_exposes_files CASCADE;
DROP TABLE IF EXISTS immotool_agency_exposes_settings CASCADE;
DROP TABLE IF EXISTS immotool_agency_searches CASCADE;
DROP TABLE IF EXISTS openestate_geodbs CASCADE;
DROP TABLE IF EXISTS openestate_geodbs_areas CASCADE;
DROP TABLE IF EXISTS openestate_geodbs_countries CASCADE;
DROP TABLE IF EXISTS openestate_languages CASCADE;
DROP TABLE IF EXISTS openestate_objects CASCADE;
DROP TABLE IF EXISTS openestate_objects_attribs CASCADE;
DROP TABLE IF EXISTS openestate_objects_files CASCADE;
DROP TABLE IF EXISTS openestate_objects_files_i18n CASCADE;
DROP TABLE IF EXISTS openestate_objects_geodbs_areas CASCADE;
DROP TABLE IF EXISTS openestate_objects_i18n CASCADE;
DROP TABLE IF EXISTS openestate_objects_links CASCADE;
DROP TABLE IF EXISTS openestate_objects_links_i18n CASCADE;
DROP TABLE IF EXISTS openestate_searches CASCADE;
DROP TABLE IF EXISTS openestate_searches_attribs CASCADE;
DROP TABLE IF EXISTS openestate_searches_params CASCADE;
DROP TABLE IF EXISTS openestate_searches_values CASCADE;


-- -----------------------------------------------------
-- Tables (needs to dropped afterwards, buggy behaviour of hsqlb?)
-- -----------------------------------------------------
DROP TABLE IF EXISTS immotool_agency_objects CASCADE;
DROP TABLE IF EXISTS immotool_agency_objects_logs CASCADE;
DROP TABLE IF EXISTS immotool_agency_objects_exports CASCADE;
DROP TABLE IF EXISTS openestate_contacts CASCADE;


-- -----------------------------------------------------
-- Sequences
-- -----------------------------------------------------
DROP SEQUENCE IF EXISTS seq_immotool_agency_exposes CASCADE;
DROP SEQUENCE IF EXISTS seq_immotool_agency_exposes_files CASCADE;
DROP SEQUENCE IF EXISTS seq_immotool_agency_exports CASCADE;
DROP SEQUENCE IF EXISTS seq_immotool_agency_exports_logs CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_contacts CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_geodbs CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_geodbs_areas CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_geodbs_countries CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_languages CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_objects CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_objects_files CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_objects_links CASCADE;
DROP SEQUENCE IF EXISTS seq_openestate_searches CASCADE;
